INTEGRITY Cloudflare Docs

Deploy rulesets

Use the Rulesets API to deploy a ruleset. To deploy a ruleset, add a rule with "action": "execute" to a phase entry point ruleset, specifying the ruleset ID to execute as an action parameter. Use a separate rule for each ruleset you want to deploy.

A rule that executes a ruleset consists of:

The rules in the ruleset execute when a request satisfies the expression.

Example

The following example deploys the Cloudflare Managed Ruleset (with ID ) to the http_request_firewall_managed phase of a given zone ($ZONE_ID) by adding a rule that executes the managed ruleset.

Required API token permissions

At least one of the following token permissions is required:
Update a zone entry point ruleset
curl "https://api.cloudflare.com/client/v4/zones/$ZONE_ID/rulesets/phases/http_request_firewall_managed/entrypoint" \
	--request PUT \
	--header "Authorization: Bearer $CLOUDFLARE_API_TOKEN" \
	--json '{
		"rules": [
				{
						"action": "execute",
						"action_parameters": {
								"id": "efb7b8c949ac4650a09736fc376e9aee"
						},
						"expression": "true",
						"description": "Execute Cloudflare Managed Ruleset on my zone ruleset"
				}
		]
	}'
{
	"result": {
		"id": "<ZONE_PHASE_RULESET_ID>",
		"name": "Zone-level Ruleset 1",
		"description": "",
		"kind": "zone",
		"version": "latest",
		"rules": [
			{
				"id": "<RULE_ID>",
				"version": "1",
				"action": "execute",
				"action_parameters": {
					"id": "efb7b8c949ac4650a09736fc376e9aee",
					"version": "3"
				},
				"expression": "true",
				"description": "Execute Cloudflare Managed Ruleset on my zone ruleset",
				"last_updated": "2021-03-18T18:08:14.003361Z",
				"ref": "<RULE_REF>",
				"enabled": true
			}
		],
		"last_updated": "2021-03-18T18:08:14.003361Z",
		"phase": "http_request_firewall_managed"
	},
	"success": true,
	"errors": [],
	"messages": []
}

For more examples of deploying rulesets, refer to the following pages:

Refer to Work with managed rulesets and Work with custom rulesets for more information.

For more information on the available API endpoints for editing and deploying rulesets, refer to Update or deploy a ruleset.